<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/libaoContent"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="16dp"
    android:layout_marginEnd="16dp"
    android:background="@drawable/bg_shape_f8_radius_8"
    android:paddingLeft="12dp"
    android:paddingTop="12dp"
    android:paddingRight="12dp"
    android:paddingBottom="12dp">

    <TextView
        android:id="@+id/libaoNameTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:drawablePadding="4dp"
        android:textColor="@color/text_primary"
        android:textStyle="bold"
        app:drawableLeftCompat="@drawable/ic_game_detail_libao"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="新春大礼包" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/progressContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginEnd="20dp"
        app:layout_constraintEnd_toStartOf="@+id/receiveTv"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/libaoNameTv">

        <ProgressBar
            android:id="@+id/libaoSchedulePb"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="0dp"
            android:layout_height="4dp"
            android:max="100"
            android:progress="0"
            android:progressDrawable="@drawable/progressbar_bg_style"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/remainingTv"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/remainingTv"
            android:layout_width="52dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:gravity="start"
            android:text="剩余0%"
            android:textColor="@color/text_theme"
            android:textSize="11sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/libaoSchedulePb"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/libaoSchedulePb"
            app:layout_constraintTop_toTopOf="@+id/libaoSchedulePb" />


        <TextView
            android:id="@+id/libaoCodeTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="礼包码：-"
            android:textColor="@color/text_secondary"
            android:textSize="@dimen/little_secondary_size"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/copyLibaoCodeIv"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginStart="4dp"
            android:src="@drawable/ic_libao_code_copy"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/libaoCodeTv"
            app:layout_constraintStart_toEndOf="@+id/libaoCodeTv"
            app:layout_constraintTop_toTopOf="@+id/libaoCodeTv" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <HorizontalScrollView
        android:id="@+id/horizontalScrollView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:layout_marginEnd="20dp"
        android:overScrollMode="never"
        android:scrollbars="none"
        android:visibility="gone"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toStartOf="@+id/receiveTv"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/progressContainer"
        tools:visibility="visible">

        <LinearLayout
            android:id="@+id/imagesContainer"
            android:layout_width="wrap_content"
            android:layout_height="24dp"
            android:orientation="horizontal" />
    </HorizontalScrollView>

    <TextView
        android:id="@+id/contentTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:layout_marginEnd="20dp"
        android:textColor="@color/text_tertiary"
        android:textSize="9sp"
        app:layout_constraintEnd_toStartOf="@+id/receiveTv"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/horizontalScrollView" />

    <TextView
        android:id="@+id/receiveTv"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:background="@drawable/game_detail_btn_receive"
        android:gravity="center"
        android:text="领取"
        android:textColor="@color/white"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>